Class | Bio::RestrictionEnzyme::DoubleStranded::CutLocationPairInEnzymeNotation
In: | lib/bio/util/restriction_enzyme/double_stranded/cut_location_pair_in_enzyme_notation.rb
Parent: | CutLocationPair

Inherits from DoubleStranded::CutLocationPair , stores the cut location pair in enzyme notation instead of 0-based.

### Methods

validate_2

### Protected Instance methods

validate_2( a, b )

[Source]

        # File lib/bio/util/restriction_enzyme/double_stranded/cut_location_pair_in_enzyme_notation.rb, line 26
    26:   def validate_2( a, b )
    27:     if (a == 0) or (b == 0)
    28:       raise ArgumentError, "Enzyme index notation only.  0 values are illegal."
    29:     end
    30:
    31:     if a == nil and b == nil
    32:       raise ArgumentError, "Neither strand has a cut.  Ambiguous."
    33:     end
    34:   end

[Validate]